> For the complete documentation index, see [llms.txt](https://docs.underdogprotocol.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.underdogprotocol.com/resources/v1/nfts.md).

# NFTs

On this page, we'll dive into the different NFT endpoints you can use to manage NFTs programmatically. We'll look at how to query, create, and update NFTs.

Related NFTs can be part of a Collection. For example, a community can create a Collection and NFTs in that Collection can be Membership NFTs.

## The NFT Model

The NFT model contains all the information about your NFT, such as their mint address, name, and image.

| Property       | Description                                            | Type   |
| -------------- | ------------------------------------------------------ | ------ |
| `mintAddress`  | The mint address of the NFT                            | string |
| `name`         | The on-chain name of the NFT                           | string |
| `description`  | Description of the NFT                                 | string |
| `image`        | Image for the NFT                                      | string |
| `ownerAddress` | The wallet address of the owner of the NFT             | string |
| `attributes`   | Object with traits and values  of the NFT's attributes | object |

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>List all NFTs</strong></td><td></td><td><a href="/pages/ztiSek1hNPPlTfZnamVA">GET -></a></td><td><a href="/pages/ztiSek1hNPPlTfZnamVA">/pages/ztiSek1hNPPlTfZnamVA</a></td></tr><tr><td><strong>Create an NFT</strong></td><td></td><td><a href="/pages/NG5zJS4a4WEewOxxcZEV">POST -></a></td><td><a href="/pages/NG5zJS4a4WEewOxxcZEV">/pages/NG5zJS4a4WEewOxxcZEV</a></td></tr><tr><td><strong>Retrieve an NFT</strong></td><td></td><td><a href="/pages/euiBjPut1CVoRJM7Rhsj">GET -> </a></td><td><a href="/pages/euiBjPut1CVoRJM7Rhsj">/pages/euiBjPut1CVoRJM7Rhsj</a></td></tr><tr><td><strong>Update an NFT</strong></td><td></td><td><a href="/pages/8tSygz72C2vTD4TyED5F">PUT -></a></td><td><a href="/pages/8tSygz72C2vTD4TyED5F">/pages/8tSygz72C2vTD4TyED5F</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.underdogprotocol.com/resources/v1/nfts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
